Validate media
curl --request POST \
--url https://api.kavenio.com/v1/tools/validate/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://cdn.example.com/campaign-image.png"
}
'import requests
url = "https://api.kavenio.com/v1/tools/validate/media"
payload = { "url": "https://cdn.example.com/campaign-image.png" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: 'https://cdn.example.com/campaign-image.png'})
};
fetch('https://api.kavenio.com/v1/tools/validate/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"valid": true,
"url": "<string>",
"error": "<string>",
"contentType": "<string>",
"size": 4503599627370495,
"sizeFormatted": "<string>",
"platformLimits": {}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Media
Validate media
Validates a public media URL and returns content type, size, type, and platform limit information when available.
POST
/
v1
/
tools
/
validate
/
media
Validate media
Was this page helpful?
⌘I